import * as React from 'react';
import type { MarkerEvent, MarkerDragEvent, PointLike, MarkerInstance } from '../types';
export declare type MarkerProps<OptionsT, MarkerT extends MarkerInstance> = OptionsT & {
    /** Longitude of the anchor location */
    longitude: number;
    /** Latitude of the anchor location */
    latitude: number;
    draggable?: boolean;
    offset?: PointLike;
    pitchAlignment?: string;
    rotation?: number;
    rotationAlignment?: string;
    popup?: any;
    /** CSS style override, applied to the control's container */
    style?: React.CSSProperties;
    onClick?: (e: MarkerEvent<MarkerT, MouseEvent>) => void;
    onDragStart?: (e: MarkerDragEvent<MarkerT>) => void;
    onDrag?: (e: MarkerDragEvent<MarkerT>) => void;
    onDragEnd?: (e: MarkerDragEvent<MarkerT>) => void;
    children?: React.ReactNode;
};
declare const _default: React.MemoExoticComponent<(<MarkerOptions, MarkerT extends MarkerInstance>(props: MarkerOptions & {
    /** Longitude of the anchor location */
    longitude: number;
    /** Latitude of the anchor location */
    latitude: number;
    draggable?: boolean;
    offset?: PointLike;
    pitchAlignment?: string;
    rotation?: number;
    rotationAlignment?: string;
    popup?: any;
    /** CSS style override, applied to the control's container */
    style?: React.CSSProperties;
    onClick?: (e: MarkerEvent<MarkerT, MouseEvent>) => void;
    onDragStart?: (e: MarkerDragEvent<MarkerT>) => void;
    onDrag?: (e: MarkerDragEvent<MarkerT>) => void;
    onDragEnd?: (e: MarkerDragEvent<MarkerT>) => void;
    children?: React.ReactNode;
} & React.RefAttributes<MarkerT>) => React.ReactElement<any, string | React.JSXElementConstructor<any>>)>;
export default _default;
